/api/v1/mcps (POST)
const url = 'https://api.endless.zaia.app/api/v1/mcps';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"connectionId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","description":"example","detail":{"tools":["example"],"type":"composio-airtable"},"name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.endless.zaia.app/api/v1/mcps \ --header 'Content-Type: application/json' \ --data '{ "connectionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "description": "example", "detail": { "tools": [ "example" ], "type": "composio-airtable" }, "name": "example" }'Creates a new MCP.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”object
The id of the connection the MCP will be used through.
The internal description of the MCP.
object
The display name of the MCP.
Responses
Seção intitulada “Responses”The MCP was created.
object
A UUID v4 string that identifies an entity.
The ID of the original entity in production.
A UUID v4 string that identifies an entity.
The id of the connection the MCP will be used through.
The internal description of the MCP.
object
The display name of the MCP.
The workspace ID that owns the MCP.
Example
{ "detail": { "type": "composio-airtable" }}Connection type is not compatible with MCP type.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Connection not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}